I'm still using 4.3.1 also and it works just fine.